Summary: A library of DSP functions for telephony spans
Name: spandsp002
Epoch: 1
Version: 0.0.2
Release: 6_pre26%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.soft-switch.org/
Source0: http://www.soft-switch.org/downloads/spandsp/spandsp-%{version}pre26/spandsp-%{version}pre26.tar.gz
#Patch0: spandsp-0.0.2-linkage.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
BuildRequires: libtiff-devel >= 3.5.7
BuildRequires: audiofile-devel, fftw-devel, fltk-devel
BuildRequires: libxml2-devel, netpbm-progs
BuildRequires: doxygen
Obsoletes: spandsp < %{evr}
Conflicts: spandsp, spandsp003, spandsp004

%description
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%lib_package spandsp 0

%devel_extra_Obsoletes spandsp-devel < %{evr}
%devel_extra_Conflicts spandsp-devel, spandsp003-devel, spandsp004-devel

%prep
%setup -q -n spandsp-%{version}
#patch0 -p1 -b .linkage

%build
%configure \
  --disable-dependency-tracking \
  --disable-static \
  --enable-doc
#  --enable-tests \
#  --enable-itutests
make "CFLAGS=%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README DueDiligence NEWS
%{_datadir}/spandsp/

%changelog
* Sat Aug 15 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.0.2-6_pre26
- Rename to spandsp002.

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.2pre26.

* Tue Nov 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.0.2-pre21c.

* Sun Apr 3 2005 Mark Wormgoor <mark@wormgoor.com>
- Initial build.
